import edu.rice.cs.mint.runtime.*;

public class LetBindingScopeBug {
    public static void m(Code<Integer> b) {
        <| { int y = `b; int z = `b; } |>.run();
    }
    public static void main (String [] args) {
        final int csp = 1;
        Code<Integer> c = <| 1 |>;
        Code<Integer> b = 
            <| let final int renamed = 1; 2 * csp + 3 * `c + renamed |>;
        int x = b.run();
        x = b.run();
        m(b);
    }
}
